Issue #269 resolved

python 2.5 support / testing

Thomas Waldmann
created an issue

I think we need better (automated) testing for 2.5 compatibility (or, alternatively, drop python 2.5 compatibility).

See #268, #187, #160, #110, #30.

Looks like tox.ini has just listed py27 and py26 as test environments. Could we add more, like py25, py3x, pypy?

Comments (5)

  1. Matt Chaput repo owner

    The Jenkins build server on Shining Panda is running Python 2.5 tests, it's just been skipping multiprocessing tests because it needs to have the package installed.

    I'll add more environments to the tox file (it was created by a contributor) and see if it's possible to have Jenkins install multiprocessing before building on Python 2.5.

  2. Log in to comment